<?php

namespace App\Classes\Modules\Wallets\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Wallets\DataTransferObjects\WalletObject;

class CompanyWalletValidation extends AbstractValidation
{
    /**
     * @param WalletObject $object
     * @return array
     */
    protected function data($object): array 
    {
        return [
            'company_module_id' => $object->getCompanyModuleId(),
            'currency_id' => $object->getCurrency(),
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array 
    {
        return [
            'company_module_id' => 'required',
            'currency_id' => 'required',
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array 
    {
        return [];
    }
}